Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class ByteTrimmer

    java.lang.Object
      com.servingxml.components.flatfile.options.ByteTrimmer

    public abstract class ByteTrimmer

extends java.lang.Object

Constructor Summary
`ByteTrimmer()`

Method Summary
`abstract boolean` | `checkSpace(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`abstract boolean` | `checkWhitespace(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`abstract int` | `countLeadingWhitespace(byte[] data, int start, int length)`
`abstract int` | `countTrailingWhitespace(byte[] data, int start, int length)`
`boolean` | `isAllWhitespace(byte[] data, int start, int length)`
`static ByteTrimmer` | `newInstance(java.nio.charset.Charset charset)`
`abstract void` | `writeTo(RecordOutput recordOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteTrimmer

    public ByteTrimmer()

Method Detail

### writeTo

    public abstract void writeTo(RecordOutput recordOutput)

### checkSpace

    public abstract boolean checkSpace(ByteBuffer recordBuffer,
                                       ByteArrayBuilder byteArrayBuilder)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### checkWhitespace

    public abstract boolean checkWhitespace(ByteBuffer recordBuffer,
                                            ByteArrayBuilder byteArrayBuilder)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### countLeadingWhitespace

    public abstract int countLeadingWhitespace(byte[] data,
                                               int start,
                                               int length)

### isAllWhitespace

    public boolean isAllWhitespace(byte[] data,
                                   int start,
                                   int length)

### countTrailingWhitespace

    public abstract int countTrailingWhitespace(byte[] data,
                                                int start,
                                                int length)

### newInstance

    public static ByteTrimmer newInstance(java.nio.charset.Charset charset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD